#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main(){
    ll A, B;
    cin >> A >> B;
    ll niza[A];
    for(ll i=0; i<A; i++){
        cin >> niza[i];
    }

                    ll one, two=0;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2) two++;
                        if(niza[i]==1) one++;
                    }
                    if(two>=B){
                        if(one>=B){
                            cout << 3;
                            return 0;
                        }
                        else{
                            cout << 2;
                        }
                    }
                    else if(one>=B){
                        cout << 1;    
                    }
                    else{
                        cout << 0;
                    }
}